Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000578 [Ecere SDK] ide:buildsystem major always 2010-12-02 17:22 2013-05-19 17:15
Reporter redj View Status public  
Assigned To redj
Priority immediate Resolution fixed  
Status closed   Product Version
Summary 0000578: makefiles must deal with windows command line lenght limitation when calling del/copy/etc
Description "On computers running Microsoft Windows XP or later, the maximum length of the string that you can use at the command prompt is 8191 characters. On computers running Microsoft Windows 2000 or Windows NT 4.0, the maximum length of the string that you can use at the command prompt is 2047 characters." -- http://support.microsoft.com/kb/830473 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000402)
redj (administrator)
2010-12-02 17:24

implemented fix to problems with clean (and maybe others?) when issuing long commands for windows
OBJECTS = $(OBJECTS1) $(OBJECTS2) // do all the list vars like this
OBJECTS1 = ... // use $(OBJECTS) or $(OBJECTS1) as needed
OBJECTS2 = ...
$(call rmq,$(OBJECTS1))
$(call rmq,$(OBJECTS2)) // COBJECTS, IMPORTS, SYMBOLS, etc
and if the number of chars does not go over the limit, none of that nonsense

   Added revision 167 to sdk/ide/src/project/Project.ec
   Added revision 71 to sdk/ide/src/project/ProjectNode.ec
   Added revision 18 to sdk/include.mk
(0000403)
redj (administrator)
2010-12-02 17:26

adjusted the limit for number of characters for lists to 1536 leaving a maximum of 512 chars for the command (i.e.: del, copy)

Added revision 169 to sdk/ide/src/project/Project.ec

- Issue History
Date Modified Username Field Change
2010-12-02 17:22 redj New Issue
2010-12-02 17:22 redj Status new => assigned
2010-12-02 17:22 redj Assigned To => redj
2010-12-02 17:24 redj Status assigned => resolved
2010-12-02 17:24 redj Fixed in Version => 0.44 pre-release 2
2010-12-02 17:24 redj Resolution open => fixed
2010-12-02 17:24 redj Note Added: 0000402
2010-12-02 17:26 redj Note Added: 0000403
2012-03-08 09:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 12:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 02:52 redj Category => ide
2012-03-29 02:52 redj Project @3@ => Ecere SDK
2012-03-29 03:48 redj Category ide => ide:buildsystem
2012-03-29 03:48 redj Summary ide / build system: makefiles must deal with windows command line lenght limitation when calling del/copy/etc => makefiles must deal with windows command line lenght limitation when calling del/copy/etc
2012-03-29 03:48 redj Description Updated
2013-05-19 17:15 jerome Status resolved => closed


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker